Skip to main content
PATCH
Update agent

Authorizations

X-Api-Key
string
header
required

The API Key created in Rounded Studio.

Path Parameters

agent_id
string<uuid>
required

The ID of the agent to update.

Body

application/json

The agent data to update and generate a new configuration version. Some properties updates won't generate a new version as they are global settings and have immediate effect without requiring a deployment. These properties are:

  • name
  • webhook_url
  • webhook_subscriptions
  • secure_recording_urls

For other properties, a new version will be created and available to be deployed. Properties definitions are the same as the agent create request, see POST /v1/agents for the complete schema definition. The response includes headers about rate limiting.

name
string | null
language
enum<string> | null
Available options:
en,
fr,
fr-FR,
fr-BE,
fr-CA,
es,
de,
it,
nl,
pl,
ar,
pt,
el,
hr,
zh
initial_message
string | null
initial_message_delay
number | null
max_call_duration
number | null
presence_check_phrases
string[] | null
presence_check_idle_threshold
integer | null
presence_check_max_times
integer | null
base_prompt
string | null
voice
AgentCreateOpenAIVoiceConfigurationApiRequest · object
states
AgentCreateStatesApiRequest · object[] | null
initial_state_name
string | null
llm
AgentCreateLLMConfigurationApiRequest · object | null
transcriber
AgentCreateTranscriberConfigurationApiRequest · object | null
secure_recording_urls
boolean | null
interruptions
boolean | null
interruptions_sensitivity
enum<string> | null
Available options:
high,
medium,
low
webhook_url
string | null
webhook_subscriptions
enum<string>[] | null
Available options:
event_variable_value_updated,
event_all_variables_resolved,
event_call_status_updated,
event_call_recording_status_updated,
event_call_answer_type_updated,
event_task_transition,
event_transcript,
event_transcript_complete,
event_phone_call_connected,
event_phone_call_ended,
event_phone_call_did_not_connect,
event_web_call_connected,
event_web_call_ended,
event_recording,
event_action,
event_synthesizer_consumption,
event_post_call,
event_pipedream_connection
custom_vocabulary
string[] | null

Response

Successfully updated agent

data
AgentGetApiResponseData · object
required

The agent data retrieved after the update.

message
string
default:Agent updated successfully

Response message indicating the result of the operation. It will be different depending on the update type (when a new version is created or not).

Examples:

"Agent draft configuration updated to version 2. Deploy it to make it active."

"Agent global settings updated successfully."

error
ApiResponseError · object | null
Example:
status
integer
default:200

HTTP status code of the response.